Bug 223002 - New port: devel/apitrace: Tools for tracing OpenGL and other graphics APIs
Summary: New port: devel/apitrace: Tools for tracing OpenGL and other graphics APIs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-14 12:55 UTC by Greg V
Modified: 2017-11-18 05:38 UTC (History)
1 user (show)

See Also:


Attachments
apitrace.patch (7.69 KB, patch)
2017-10-14 12:55 UTC, Greg V
no flags Details | Diff
Updated patch (15.64 KB, patch)
2017-11-15 11:02 UTC, Yuri Victorovich
no flags Details | Diff
Updated patch (15.64 KB, patch)
2017-11-15 17:18 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-10-14 12:55:19 UTC
Created attachment 187161 [details]
apitrace.patch

New port for a nice graphics debugging toolkit: https://github.com/apitrace/apitrace

The last released version is literally 2 years old, so using git master.

Tested on 12-CURRENT with Mesa 17.2.2, works great!
Comment 1 Yuri Victorovich freebsd_committer 2017-11-15 11:01:29 UTC
It is buggy on the FreeBSD:
https://github.com/apitrace/apitrace/issues/533

So I am hesitant to commit it now.
Comment 2 Yuri Victorovich freebsd_committer 2017-11-15 11:02:12 UTC
Created attachment 188013 [details]
Updated patch

I updated the patch.
Comment 3 Greg V 2017-11-15 15:09:04 UTC
(In reply to Yuri Victorovich from comment #1)
I don't think some warnings in libbacktrace matter that much. Backtraces are not important to apitrace. It reads OpenGL frames perfectly fine.
Comment 4 Yuri Victorovich freebsd_committer 2017-11-15 17:18:07 UTC
(In reply to Greg V from comment #3)

I had to patch some ELF tags because they didn't exist on 10.
But now the build on 10i386 hangs entirely. It looks like the compile of egltrace.cpp never finishes on 10i386.
Comment 5 Yuri Victorovich freebsd_committer 2017-11-15 17:18:24 UTC
Created attachment 188025 [details]
Updated patch
Comment 6 commit-hook freebsd_committer 2017-11-18 05:38:18 UTC
A commit references this bug:

Author: yuri
Date: Sat Nov 18 05:38:06 UTC 2017
New revision: 454408
URL: https://svnweb.freebsd.org/changeset/ports/454408

Log:
  New port: devel/apitrace: Tools for tracing OpenGL and other graphics APIs

  PR:		223002
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13112

Changes:
  head/devel/Makefile
  head/devel/apitrace/
  head/devel/apitrace/Makefile
  head/devel/apitrace/distinfo
  head/devel/apitrace/files/
  head/devel/apitrace/files/patch-dispatch_glproc__egl.cpp
  head/devel/apitrace/files/patch-dispatch_glproc__gl.cpp
  head/devel/apitrace/files/patch-retrace_CMakeLists.txt
  head/devel/apitrace/files/patch-thirdparty_libbacktrace_dwarf.c
  head/devel/apitrace/files/patch-wrappers_trace.py
  head/devel/apitrace/files/qapitrace.desktop
  head/devel/apitrace/pkg-descr
  head/devel/apitrace/pkg-plist
Comment 7 Yuri Victorovich freebsd_committer 2017-11-18 05:38:51 UTC
Committed with small changes.

Thank you for your contribution!